cayenne-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From John Huss <johnth...@gmail.com>
Subject Re: Java 1.7 for 4.0 .. again
Date Tue, 28 Oct 2014 14:13:38 GMT
I'm in favor of moving to 1.7

On Tue, Oct 28, 2014 at 2:28 AM, Andrus Adamchik <andrus@objectstyle.org>
wrote:

>
> > On Oct 27, 2014, at 10:11 AM, Andrus Adamchik <andrus@objectstyle.org>
> wrote:
> >
> > While I'd love to start using diamond syntax and try-with-resources in
> our own code
>
> Also 1.7 AutoCloseable interface (used in try-with-resources) is something
> I'd like to make a part of our own API. E.g. ResultIterator should be
> AutoCloseable. Also have some ideas for transaction management improvements
> that can take advantage of that.
>
> With 1.6 our next best option is using java.io.Closeable. Too bad it
> declares IOException in the "close" method, and relevant JDBC classes (e.g.
> Connection) do not implement it. So there is an opportunity cost associated
> with 1.6 support (as well as with dropping 1.6 support :))
>
> Andrus
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message